Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Router
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Managed Service for YDB
    • SpeechKit
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • Container Registry
    • Managed Service for Prometheus®
    • Message Queue
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Cloud Apps
    • Yandex AI Studio
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Yandex Cloud Video
    • Stackland
    • Yandex StoreDoc
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • DataSphere
    • Vision OCR
    • Translate
    • Cloud Registry
    • SmartCaptcha
    • Cloud Desktop
    • SourceCraft Code Assistant
    • Managed Service for GitLab
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Serverless Integrations
    • IoT Core
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
  • Статус работы сервисов
  • Marketplace
    • Доступны в регионе
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Партнёрская программа
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex BareMetal
    • Все инструкции
    • Обзор сервиса
    • Интеграции с другими сервисами Yandex Cloud
      • Обзор
      • Готовые конфигурации серверов
      • Своя конфигурация сервера
      • Конфигурация сервера по запросу
      • Обзор
      • Публичная сеть
      • Приватная сеть
      • DHCP
      • MC-LAG
      • Ограничения в сетях BareMetal
      • Обзор
      • Образы
      • Управление доступом
      • Дополнительные настройки серверов
      • Консоль управления
        • Аутентификация в API
          • Overview
            • Overview
            • Get
            • List
            • ListConfigurationNetworkInterface
      • Метрики Monitoring
    • Квоты и лимиты
  • Правила тарификации
  • Вопросы и ответы

В этой статье:

  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • CPU
  • DiskDriveConfiguration
  • ConfigurationNetworkInterface
  • MCLagAggregationOptions
  1. Концепции
  2. Настройка и управление
  3. Справочник API
  4. REST (англ.)
  5. Configuration
  6. Get

BareMetal API, REST: Configuration.Get

Статья создана
Yandex Cloud
Обновлена 1 июля 2026 г.
Открыть в Markdown
  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • CPU
  • DiskDriveConfiguration
  • ConfigurationNetworkInterface
  • MCLagAggregationOptions

Returns the specific Configuration resource.
To get the list of available Configuration resources, make a List request.

HTTP requestHTTP request

GET https://baremetal.api.yandexcloud.kz/baremetal/v1alpha/configurations/{configurationId}

Path parametersPath parameters

Field

Description

configurationId

string

Required field. ID of the Configuration resource to return.
To get the configuration ID, use a ConfigurationService.List request.

Value must match the regular expression [a-z][a-z0-9]*.

Query parametersQuery parameters

Field

Description

folderId

string

ID of the folder to return a Configuration resource for.
To get the folder ID, use a yandex.cloud.resourcemanager.v1.FolderService.List request.

The maximum string length in characters is 50. Value must match the regular expression ([a-z][a-z0-9.-]*)|.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "name": "string",
  "memoryGib": "string",
  "cpu": {
    "name": "string",
    "vendor": "string",
    "cores": "string",
    "physicalCores": "string",
    "frequencyMhz": "string",
    "threads": "string"
  },
  "diskDrives": [
    {
      "type": "string",
      "diskCount": "string",
      "diskSizeGib": "string"
    }
  ],
  "networkCapacityGbps": "string",
  "cpuNum": "string",
  "networkInterfaces": [
    {
      "id": "string",
      "name": "string",
      "configurationId": "string",
      "linkSpeedGbps": "string",
      "availableModes": [
        "string"
      ],
      "mcLagOptions": {
        "interfaceCount": "string"
      }
    }
  ],
  "mountingAvailability": "string"
}

Field

Description

id

string

ID of the configuration.

name

string

Name of the configuration.

memoryGib

string (int64)

Random-access memory (RAM) size in gibibytes (2^30 bytes).

cpu

CPU

CPU configuration.

diskDrives[]

DiskDriveConfiguration

Array of disk drive configurations.

networkCapacityGbps

string (int64)

Network capacity or bandwidth in gigabits per second.

cpuNum

string (int64)

Number of cpu.

networkInterfaces[]

ConfigurationNetworkInterface

Network interfaces of the configuration.

mountingAvailability

enum (MountingAvailability)

Indicates whether the mounting option is available or not for this configuration.

  • AVAILABLE: Mounting is available.
  • UNAVAILABLE: Mounting is unavailable.

CPUCPU

CPU configuration.

Field

Description

name

string

Name of the CPU.

vendor

string

Vendor of the CPU.

cores

string (int64)

@deprecated. Number of cores.

physicalCores

string (int64)

Number of physical cores per CPU (socket).

frequencyMhz

string (int64)

Frequency of the CPU in megahertz (MHz).

Value must be greater than 0.

threads

string (int64)

Number of threads (logical cores) per CPU (socket).

DiskDriveConfigurationDiskDriveConfiguration

Field

Description

type

enum (DiskDriveType)

Type of the disk drive.

  • HDD: Hard disk drive (magnetic storage).
  • SSD: Solid state drive with SATA/SAS interface.
  • NVME: Solid state drive with NVMe interface.

diskCount

string (int64)

Number of disk drives.

diskSizeGib

string (int64)

Size of a single disk drive in gibibytes (2^30 bytes).

ConfigurationNetworkInterfaceConfigurationNetworkInterface

Field

Description

id

string

Id of the network interface
Not used while creating interfaces

name

string

Name of the network interface

configurationId

string

Id of the configuration

linkSpeedGbps

string (int64)

Link speed in gigabits per second

availableModes[]

enum (InterfaceMode)

Available modes for the network interface

  • PRIVATE: Private network interface mode.
  • PUBLIC: Public network interface mode.

mcLagOptions

MCLagAggregationOptions

MC-LAG configuration options for aggregated interfaces

MCLagAggregationOptionsMCLagAggregationOptions

MC-LAG aggregation options for the network interface.

Field

Description

interfaceCount

string (int64)

Number of interfaces in the MC-LAG aggregation.

Была ли статья полезна?

Предыдущая
Overview
Следующая
List
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»